LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
Search this Thread
Old 08-31-2003, 07:34 PM   #1
BajaNick
Senior Member
 
Registered: Jul 2003
Location: So. Cal.
Distribution: Slack 11
Posts: 1,737

Rep: Reputation: 46
Continuous problems installing WindowMaker?


Every time i try to ./configure WindowMaker I get thes
I dont know why i get this I have X installed and am using GUI under RH9 or does that have nothing to do with this error message?

configure: error: The path for the X11 files not found!
Make sure you have X and it's headers and libraries (the -devel packages
in Linux) installed.

How can i fix this? I have an older version of WindowMaker but it dosnt work correctly and i would like to update it to this newer version.Thanks
 
Old 08-31-2003, 07:41 PM   #2
fancypiper
Guru
 
Registered: Feb 2003
Location: Sparta, NC USA
Distribution: Ubuntu 10.04
Posts: 5,141

Rep: Reputation: 57
You will have to install X (which you have installed) and it's headers and libraries (the -devel packages, which you do not have installed).

You can fix this by installing those.

# Red Hat links
Red Hat Linux Manuals
Get your mp3 support here
Maximum RPM
rpmfind
Easier software management: apt4rpm - Red Carpet
Red Hat 8.0 Tips & Tricks

# Red Hat 7.3 down configuration commands
setup leads to several configuration tools

# Red Hat 7.3 up configuration commands
Configure soundcard:
redhat-config-soundcard
Configure X server:
redhat-config-xfree86
Configure network:
redhat-config-network
Manage software:
redhat-config-packages

# Handling NTFS
New Technology FileSystem (NTFS) HOWTOs
Linux NTFS project
 
Old 08-31-2003, 08:17 PM   #3
BajaNick
Senior Member
 
Registered: Jul 2003
Location: So. Cal.
Distribution: Slack 11
Posts: 1,737

Original Poster
Rep: Reputation: 46
I tried to install the -devel packages from the cd and i got this

Krb5-libs=1.2.7-8
OpenSSL=0.9.7a-2
not found, install these before proceding

I downloaded them and tried to install the Krb5-libs and i get this:error: cannot write to %sourcedir /usr/src/redhat/SOURCES

what does that mean?
 
Old 08-31-2003, 08:22 PM   #4
BajaNick
Senior Member
 
Registered: Jul 2003
Location: So. Cal.
Distribution: Slack 11
Posts: 1,737

Original Poster
Rep: Reputation: 46
Nevermind i fixed that last problem but everytime I try to install the devel packages i get these 2 packages not found so i cant install the devel packages. Is there a way to get around these files?

Krb5-libs=1.2.7-8
OpenSSL=0.9.7a-2
 
Old 08-31-2003, 08:24 PM   #5
fancypiper
Guru
 
Registered: Feb 2003
Location: Sparta, NC USA
Distribution: Ubuntu 10.04
Posts: 5,141

Rep: Reputation: 57
I have had good luck resolving dependencies by using apt4rpm.
 
Old 08-31-2003, 08:44 PM   #6
BajaNick
Senior Member
 
Registered: Jul 2003
Location: So. Cal.
Distribution: Slack 11
Posts: 1,737

Original Poster
Rep: Reputation: 46
OMG! I tried to install that and of course i am missing 2 other files so could not install apt.
 
Old 08-31-2003, 08:51 PM   #7
fancypiper
Guru
 
Registered: Feb 2003
Location: Sparta, NC USA
Distribution: Ubuntu 10.04
Posts: 5,141

Rep: Reputation: 57
What two files are missing?????? Did you download the two for Red Hat 9?

Did you follow the links so that you got to this page, download the two rpm files you need this one and this one and also read the instructions there?

Instructions on that page:
How do I use the repository (RedHat 9 instructions)?
In order to use this repository, you must first install the APT-RPM package on your system: get the binary RPM here. The source RPM packages, should you need them, can be found here.

Next, edit /etc/apt/sources.list and add the relevant lines for your distribution. For example, my /etc/apt/sources.list contains:

rpm ftp://apt-rpm.tuxfamily.org/apt redhat/9/en/i386 os updates extra
rpm-src ftp://apt-rpm.tuxfamily.org/apt redhat/9/en/i386 os updates extra

Run apt-get update, then apt-get dist-upgrade or apt-get install foo...

Last edited by fancypiper; 08-31-2003 at 08:57 PM.
 
Old 09-01-2003, 12:34 AM   #8
BajaNick
Senior Member
 
Registered: Jul 2003
Location: So. Cal.
Distribution: Slack 11
Posts: 1,737

Original Poster
Rep: Reputation: 46
Those installed but i still cannot install the development packages from the RH9 cd. I am still getting errors saying connot find "krb5-libs1.2.7-8 and OpenSSL0.9.7a-2 and until i install the development packages i cannot install WindowMaker or Fluxbox. Is there any way around these files?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing windowmaker from source Letherian Linux - Newbie 4 08-23-2005 03:29 PM
Installing X11 and WindowMaker chakkaradeepcc Linux From Scratch 2 05-15-2005 07:05 PM
installing windowmaker from source jyothisv Linux - Software 2 10-10-2004 01:55 AM
WindowMaker crashes after installing nVIDIA drivers Tim2000 Linux - Software 2 10-17-2003 06:34 AM
windowmaker problems salparadise Linux - Newbie 5 01-28-2003 12:05 PM


All times are GMT -5. The time now is 01:00 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration